import { NullComponent, IContainer } from 'tsioc';
import { IRoute } from './IRoute';
import { IContext } from '../IContext';
import { Next } from '../../util';
export declare class NotFoundRoute extends NullComponent implements IRoute {
    name: string;
    url: string;
    match(ctx: IContext): IRoute;
    options(container: IContainer, ctx: IContext, next: Next): Promise<any>;
    navigating(container: IContainer, ctx: IContext, next: Next): Promise<any>;
    empty(): IRoute;
}
export declare const notFoundRoute: NotFoundRoute;
